> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment payments status by payment id



## OpenAPI

````yaml IPG get /payment/payments/{paymentId}/status-by-payment-id
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.7exchange.io/ipg/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /payment/payments/{paymentId}/status-by-payment-id:
    get:
      operationId: getPaymentPaymentsPaymentidStatusByPaymentId
      parameters:
        - name: paymentId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: header
          required: true
          schema:
            type: string
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````